Posted at

Docker 1.7にUpdateして証明書のエラーが出たら

More than 3 years have passed since last update.

docker 1.7に気まぐれでupdate.

boot2docker stop

boot2docker upgrade

見事トラブる.

% docker ps

An error occurred trying to connect: Get https://192.168.59.103:2376/v1.19/containers/json: x509: certificate is valid for 127.0.0.1, 10.0.2.15, not 192.168.59.103

これで直った.

boot2docker ssh sudo /etc/init.d/docker restart

https://github.com/boot2docker/boot2docker/issues/824